Subject: Re: Oracle
From: "Gerrit P. Haase" <[email-masked]>
To: David <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Oct 2004 21:56:14 +0200

Hallo David,

Am Dienstag, 12. Oktober 2004 um 19:11 schriebst du:

> HI,

> Like everyone else, I have cygwin installed on my Microsoft Windows platform.
> And, I installed Oracle on the machine. Unfortuanately, all the Oracle
> libraries link only with Microsoft's CL compiler.

> Has anyone used Oracle's *.a libraries on Microsoft Windows platforms so
> that the gcc compiler can compile a cygwin binary? I was thinking of
> getting the *.a libraries from a linux distribution. Would this work?

> Is there another way?

You should create import libraries from the DLLs and link agaist them.

See also the user guide:
http://www.cygwin.com/cygwin-ug-net/dll.html

I use impgen which comes from libtool:
http://anfaenger.de/cygwin/impgen/

impgen ${DLLNAME}.dll >${DLLNAME}.def
dlltool --as=as --dllname ${DLLNAME}.dll --def ${DLLNAME}.def --output-lib ${DLLNAME}.dll.a

There are also lot of information about this on http://mingw.org/
where is described to use impdef which is available here:
http://www12.canvas.ne.jp/peters/colin/win32/tools/dlltool.html

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/